import { Plugin } from '../';
import { default as Yasr } from '../../';
export interface PluginConfig {
    maxLines: number;
}
export default class Response implements Plugin<PluginConfig> {
    private yasr;
    label: string;
    priority: number;
    helpReference: string;
    private config;
    private overLay;
    private cm;
    constructor(yasr: Yasr);
    canHandleResults(): boolean;
    getIcon(): HTMLDivElement;
    download(filename?: string): {
        getData: () => string;
        filename: string;
        contentType: string;
        title: string;
    };
    draw(persistentConfig: PluginConfig): void;
    private limitData;
    showLess(setValue?: boolean): void;
    showMore(): void;
    static defaults: PluginConfig;
}
